Bug 756005 - [Boost-1.48.0] boost::BOOST_FOREACH declaration issue
[Boost-1.48.0] boost::BOOST_FOREACH declaration issue
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Petr Machata
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 754865
  Show dependency treegraph
 
Reported: 2011-11-22 10:18 EST by Denis Arnaud
Modified: 2015-05-04 21:36 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-29 12:26:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Denis Arnaud 2011-11-22 10:18:27 EST
Description of problem:
With the new Boost-1.48.0, on Fedora Rawhide, there may be some compilation issues with the Boost.ForEach component/header.

For instance, when compiling Wesnoth, the following compilation error appears:
foreach.hpp:6:17: error: 'boost::BOOST_FOREACH' has not been declared
and foreach.hpp is:
#ifndef FOREACH_HPP
#define FOREACH_HPP

#include <boost/foreach.hpp>

#define foreach BOOST_FOREACH

#endif


Version-Release number of selected component (if applicable):
Boost-1.48.0-1

How reproducible:
Always

Steps to Reproduce:
Compile Wesnoth on Fedora Rawhide
  
Actual results:
See above.

Expected results:
No compilation error.

Additional info:
Boost upstream has identified that issue, and Eric Niebler has even submitted a patch for it: https://svn.boost.org/trac/boost/ticket/6131
Comment 1 Bruno Wolff III 2011-11-29 08:45:14 EST
Upstream has now closed this issue as fixed. Can we get a cherry pick of this fix in, even if there isn't a new point release available upstream?
Comment 2 Petr Machata 2011-11-29 10:22:07 EST
I built a package that should fix this issue.  Could you please try whether it actually does?
Comment 3 Bruno Wolff III 2011-11-29 12:26:32 EST
Thanks! I have successfully built Wesnoth in rawhide.

Note You need to log in before you can comment on or make changes to this bug.